Package: ruby-pygments.rb / 1.2.0-4

0007-no-relative-path-for-require-in-tests.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
From: =?utf-8?q?C=C3=A9dric_Boutillier?= <boutil@debian.org>
Date: Fri, 8 Jul 2016 14:40:06 +0200
Subject: no relative path for require in tests

Let the interpreter find the library with loadpath in tests
So that the tests can be run with the installed package (autpkgtest)
Forwarded: no
---
 test/test_pygments.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/test_pygments.rb b/test/test_pygments.rb
index 23416ba..4dcdbff 100644
--- a/test/test_pygments.rb
+++ b/test/test_pygments.rb
@@ -2,7 +2,7 @@
 # frozen_string_literal: true
 
 require 'test/unit'
-require File.join(File.dirname(__FILE__), '..', '/lib/pygments.rb')
+require 'pygments'
 ENV['mentos-test'] = "yes"